Subject: bug#42777: 28.0.50; Obsolete eldoc-message function used in CEDET

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Sep 2020 16:14:00 +0200

João Távora <[email-masked]> writes:

> That's true.  But look, the real underlying problem we have in our code
> that there is code in CEDET's idle.el that needlessly duplicates and
> uses implementation detail of the ElDoc infrastructure.  The real fix to
> this bug is _integration_, and integration is hard and takes time. 

Indeed.  And meanwhile the warning should stay.

> In parallel, in my opinion, there is little point in having 0 warnings
> globally.  Maybe that is the policy in the Emacs repo, but in my opinion
> I'd rather investigate "positive deltas" in warning count.

No, that's not the policy, as far as I know: Warnings stay in until the
problem is fixed, one way or another.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no